Author Topic: Request: Pack WB with the latest version of PHPMailer  (Read 643 times)

Offline CodeALot

  • Posts: 506
  • Gender: Male
Request: Pack WB with the latest version of PHPMailer
« on: June 25, 2021, 10:10:49 AM »
WB 2.13.0r63 is now shipped with PHPMailer 6.3

Some major hosting companies send automated warnings to clients that this version is unsafe. Please replace it with PHPMailer 6.5

Offline Luisehahne

  • WebsiteBaker Org e.V.
  • **
  • Posts: 4452
  • Gender: Male
Re: Request: Pack WB with the latest version of PHPMailer
« Reply #1 on: June 25, 2021, 06:24:20 PM »
We are preparing a WB 2.13.1 with known last fixing and replacing phpmailer, last twig and jquery version.

Dietmar
Note: Once the code has been generated, it is easy to debug. It's not a bug, it's a feature!

Offline Luisehahne

  • WebsiteBaker Org e.V.
  • **
  • Posts: 4452
  • Gender: Male
Re: Request: Pack WB with the latest version of PHPMailer
« Reply #2 on: July 02, 2021, 05:29:26 PM »
Hello Bakers,
For a quick solution, we offer a PHPMailer Update for WebsiteBaker 2.13.0.
After uploading the package and logging into the backend, the upgrade script is automatically offered for execution.

Für eine schnelle Lösung bieten wir für WebsiteBaker 2.13.0 ein PHPMailer Update zum Download an.
Nach dem Hochladen des Paketes und login ins Backend, wird automatisch das upgrade-script zur Ausführung angeboten
 
Dietmar
Note: Once the code has been generated, it is easy to debug. It's not a bug, it's a feature!

Online paulchen

  • Posts: 166
  • Gender: Male
    • PV-Steuer-Shop
Re: Request: Pack WB with the latest version of PHPMailer
« Reply #3 on: July 04, 2021, 09:23:56 AM »
...
Nach dem Hochladen des Paketes und login ins Backend, wird automatisch das upgrade-script zur Ausführung angeboten
 
Dietmar

Das klappt leider bei mir nicht.
Was kann ich falsch gemacht haben?

Paulchen

Offline dbs

  • Betatester
  • **
  • Posts: 8641
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Request: Pack WB with the latest version of PHPMailer
« Reply #4 on: July 04, 2021, 11:07:49 AM »
Moin, du hast WB 2.13 und den Inhalt des ZIPs in dein WB Root Verzeichnis geladen (da wo die config.php liegt)?

Alternativ:
  • das ZIP hochladen in WB Root,
  • zur Anmeldeseite gehen
  • unten den gelben Link zu unzip.php klicken (falls unzip.php vorhanden, ansonsten unzip.php auch hochladen)
  • ZIP entpacken und löschen lassen
  • Link zum Backend klicken
  • Anmelden
  • Upgrade Link klicken

Online paulchen

  • Posts: 166
  • Gender: Male
    • PV-Steuer-Shop
Re: Request: Pack WB with the latest version of PHPMailer
« Reply #5 on: July 04, 2021, 11:22:37 AM »
Hallo und danke!

Mit der Alternativ-Methode und dem Hochladen des nicht mehr vorhandenen unzip.php hat es nun geklappt!

mfg
Paulchen

Offline hgs

  • Betatester
  • **
  • Posts: 1409
    • EFG MG
Re: Request: Pack WB with the latest version of PHPMailer
« Reply #6 on: July 05, 2021, 07:46:33 AM »
Alle Domänen auf den neusten Stand (Y) Das ging ja einfach.Danke für die schnelle Reaktion
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline CodeALot

  • Posts: 506
  • Gender: Male
Re: Request: Pack WB with the latest version of PHPMailer
« Reply #7 on: July 05, 2021, 03:14:58 PM »
Thanks a lot for the prompt response and keeping WB a safe and stable CMS!

 

postern-length